Instantiates a ReflectionEnum object

- « ReflectionEnum

- ReflectionEnum::getBackingType »

- PHP Manual
- ReflectionEnum
- Instantiates a ReflectionEnum object

# ReflectionEnum::__construct

(PHP 8 >= 8.1.0)

ReflectionEnum::__construct — Instantiates a ReflectionEnum object

### Description

public ReflectionEnum::__construct(object|string `$objectOrClass`)

### Parameters

`objectOrClass`

  An enum instance or a name.